#
# ----- General -------------------------------------------------------------
#
DEBUG=off

#
# ----- Usage ---------------------------------------------------------------
#
usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll's)
zmake vxworks    (VxWorks)
<<


#
# ----- Clean ---------------------------------------------------------------
#
clean:
	z_clean

#
# ----- Platforms -----------------------------------------------------------
#
dos16: bnum16.exe button16.exe combo16.exe date16.exe disp16.exe \
	fstr16.exe gmgmt16.exe group16.exe hlist16.exe icon16.exe \
	int16.exe prgrs16.exe prompt16.exe real16.exe sbar16.exe  \
	sclwn16.exe scrl16.exe spin16.exe string16.exe tbar16.exe \
	text16.exe time16.exe tree16.exe tritm16.exe utime16.exe \
	vlist16.exe 

dos16b: bnum1b.exe button1b.exe combo1b.exe date1b.exe disp1b.exe \
	fstr1b.exe gmgmt1b.exe group1b.exe hlist1b.exe icon1b.exe \
	int1b.exe prgrs1b.exe prompt1b.exe real1b.exe sbar1b.exe  \
	sclwn1b.exe scrl1b.exe spin1b.exe string1b.exe tbar1b.exe \
	text1b.exe time1b.exe tree1b.exe tritm1b.exe utime1b.exe \
	vlist1b.exe 

dos32: bnum32.exe  button32.exe combo32.exe date32.exe disp32.exe \
	fstr32.exe gmgmt32.exe group32.exe hlist32.exe icon32.exe \
	int32.exe prgrs32.exe prompt32.exe real32.exe sbar32.exe \
	sclwn32.exe scrl32.exe spin32.exe string32.exe tbar32.exe \
	text32.exe time32.exe tree32.exe tritm32.exe vlist32.exe \
	utime32.exe 

win16: wbnum16.exe wbtn16.exe wcombo16.exe wdate16.exe wdisp16.exe \
	wfstr16.exe wgmgmt16.exe wgroup16.exe whlist16.exe wicon16.exe \
	wint16.exe wprmpt16.exe wstr16.exe wprgrs16.exe wreal16.exe \
	wsbar16.exe wsclwn16.exe wscrl16.exe wspin16.exe wtbar16.exe \
	wtext16.exe wtime16.exe wtree16.exe wtritm16.exe wutime16.exe \
	wvlist16.exe 

win32: wbnum32.exe wbtn32.exe wcombo32.exe wdate32.exe wdisp32.exe \
	wfstr32.exe wgmgmt32.exe wgroup32.exe whlist32.exe wicon32.exe \
	wint32.exe wprmpt32.exe wstr32.exe wprgrs32.exe wreal32.exe \
	wsbar32.exe wsclwn32.exe wscrl32.exe wspin32.exe wtbar32.exe \
	wtext32.exe wtime32.exe wtree32.exe wtritm32.exe wutime32.exe \
	wvlist32.exe 

win32dll: wbnum.exe wbtn.exe wcombo.exe wdate.exe wdisp.exe wfstr.exe \
	wgmgmt.exe wgroup.exe whlist.exe wicon.exe wint.exe wprgrs.exe \
	wprmpt.exe wreal.exe wsbar.exe wscrl.exe wsclwn.exe wspin.exe \
	wstr.exe wtbar.exe wtext.exe wtime.exe wtree.exe wtritm.exe \
	wutime.exe wvlist.exe

vxworks: vbnum.o vbtn.o vcombo.o vdate.o vdisp.o vfstr.o vgmgmt.o \
	vgroup.o vhlist.o vicon.o vint.ovprgrs.o vprmpt.o vreal.o \
	vsbar.o vsclwn.o vscrl.o vspin.o vstr.o vtbar.o vtime.o vtext.o \
	vtree.o vtritm.o vutime.o vvlist.o 
#
# ----- DOS16 ---------------------------------------------------------------
#


!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

# ----- pharlap -------------------------------------------------------------
TARGET_TYPE=exe
PLATFORM=dos16
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)

#
# Build options for prompt16.exe
#
TARGET=prompt16.exe
SOURCE_FILES=prompt.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for string16.exe
#
TARGET=string16.exe
SOURCE_FILES=string.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for int16.exe
#
TARGET=int16.exe
SOURCE_FILES=integer.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for real16.exe
#
TARGET=real16.exe
SOURCE_FILES=real.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for bnum16.exe
#
TARGET=bnum16.exe
SOURCE_FILES=bnum.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for time16.exe
#
TARGET=time16.exe
SOURCE_FILES=time.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for date16.exe
#
TARGET=date16.exe
SOURCE_FILES=date.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for fstr16.exe
#
TARGET=fstr16.exe
SOURCE_FILES=fstr.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for button16.exe
#
TARGET=button16.exe
SOURCE_FILES=button.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for utime16.exe
#
TARGET=utime16.exe
SOURCE_FILES=utime.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for icon16.exe
#
TARGET=icon16.exe
SOURCE_FILES=icon.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for prgrs16.exe
#
TARGET=prgrs16.exe
SOURCE_FILES=prgrs.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for text16.exe
#
TARGET=text16.exe
SOURCE_FILES=text.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for spin16.exe
#
TARGET=spin16.exe
SOURCE_FILES=spin.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for combo16.exe
#
TARGET=combo16.exe
SOURCE_FILES=combo.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for vlist16.exe
#
TARGET=vlist16.exe
SOURCE_FILES=vlist.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for hlist16.exe
#
TARGET=hlist16.exe
SOURCE_FILES=hlist.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for tbar16.exe
#
TARGET=tbar16.exe
SOURCE_FILES=tbar.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for sbar16.exe
#
TARGET=sbar16.exe
SOURCE_FILES=status.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for group16.exe
#
TARGET=group16.exe
SOURCE_FILES=group.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for ntbk16.exe
#
TARGET=ntbk16.exe
SOURCE_FILES=ntbk.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for scrl16.exe
#
TARGET=scrl16.exe
SOURCE_FILES=scroll.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for tree16.exe
#
TARGET=tree16.exe
SOURCE_FILES=tree.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for tritm16.exe
#
TARGET=tritm16.exe
SOURCE_FILES=tritm.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for disp16.exe
#
TARGET=disp16.exe
SOURCE_FILES=display.cpp
!include <zaf.mak>

#
# Build options for table16.exe
#
TARGET=table16.exe
SOURCE_FILES=table.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for sclwn16.exe
#
TARGET=sclwn16.exe
SOURCE_FILES=sclwin.cpp
!include <zaf.mak>

#
# Build options for gmgmt16.exe
#
TARGET=gmgmt16.exe
SOURCE_FILES=gmgmt.cpp
!include <zaf.mak>

#
# Build options for chart16.exe
#
TARGET=chart16.exe
SOURCE_FILES=chart.cpp maintest.cpp
ADD_LIBRARIES=zafd16p.lib cfzd16.lib
!include <zaf.mak>

# ----- blinker -------------------------------------------------------------
TARGET_TYPE=exe
PLATFORM=dos16b
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=

#
# Build options for prompt1b.exe
#
TARGET=prompt1b.exe
SOURCE_FILES=prompt.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for string1b.exe
#
TARGET=string1b.exe
SOURCE_FILES=string.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for int1b.exe
#
TARGET=int1b.exe
SOURCE_FILES=integer.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for real1b.exe
#
TARGET=real1b.exe
SOURCE_FILES=real.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for bnum1b.exe
#
TARGET=bnum1b.exe
SOURCE_FILES=bnum.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for time1b.exe
#
TARGET=time1b.exe
SOURCE_FILES=time.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for date1b.exe
#
TARGET=date1b.exe
SOURCE_FILES=date.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for fstr1b.exe
#
TARGET=fstr1b.exe
SOURCE_FILES=fstr.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for button1b.exe
#
TARGET=button1b.exe
SOURCE_FILES=button.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for utime1b.exe
#
TARGET=utime1b.exe
SOURCE_FILES=utime.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for icon1b.exe
#
TARGET=icon1b.exe
SOURCE_FILES=icon.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for prgrs1b.exe
#
TARGET=prgrs1b.exe
SOURCE_FILES=prgrs.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for text1b.exe
#
TARGET=text1b.exe
SOURCE_FILES=text.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for spin1b.exe
#
TARGET=spin1b.exe
SOURCE_FILES=spin.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for combo1b.exe
#
TARGET=combo1b.exe
SOURCE_FILES=combo.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for vlist1b.exe
#
TARGET=vlist1b.exe
SOURCE_FILES=vlist.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for hlist1b.exe
#
TARGET=hlist1b.exe
SOURCE_FILES=hlist.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for tbar1b.exe
#
TARGET=tbar1b.exe
SOURCE_FILES=tbar.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for sbar1b.exe
#
TARGET=sbar1b.exe
SOURCE_FILES=status.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for group1b.exe
#
TARGET=group1b.exe
SOURCE_FILES=group.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for ntbk1b.exe
#
TARGET=ntbk1b.exe
SOURCE_FILES=ntbk.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for scrl1b.exe
#
TARGET=scrl1b.exe
SOURCE_FILES=scroll.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for tree1b.exe
#
TARGET=tree1b.exe
SOURCE_FILES=tree.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for tritm1b.exe
#
TARGET=tritm1b.exe
SOURCE_FILES=tritm.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for disp1b.exe
#
TARGET=disp1b.exe
SOURCE_FILES=display.cpp
!include <zaf.mak>

#
# Build options for table1b.exe
#
TARGET=table1b.exe
SOURCE_FILES=table.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for sclwn1b.exe
#
TARGET=sclwn1b.exe
SOURCE_FILES=sclwin.cpp
!include <zaf.mak>

#
# Build options for gmgmt1b.exe
#
TARGET=gmgmt1b.exe
SOURCE_FILES=gmgmt.cpp
!include <zaf.mak>

#
# Build options for chart1b.exe
#
TARGET=chart1b.exe
SOURCE_FILES=chart.cpp maintest.cpp
ADD_LIBRARIES=zafd16p.lib cfzd16.lib
!include <zaf.mak>

#
# ----- DOS32 ---------------------------------------------------------------
#

TARGET_TYPE=exe
PLATFORM=dos32
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=

#
# Build options for prompt32.exe
#
TARGET=prompt32.exe
SOURCE_FILES=prompt.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for string32.exe
#
TARGET=string32.exe
SOURCE_FILES=string.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for int32.exe
#
TARGET=int32.exe
SOURCE_FILES=integer.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for real32.exe
#
TARGET=real32.exe
SOURCE_FILES=real.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for bnum32.exe
#
TARGET=bnum32.exe
SOURCE_FILES=bnum.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for time32.exe
#
TARGET=time32.exe
SOURCE_FILES=time.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for date32.exe
#
TARGET=date32.exe
SOURCE_FILES=date.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for fstr32.exe
#
TARGET=fstr32.exe
SOURCE_FILES=fstr.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for button32.exe
#
TARGET=button32.exe
SOURCE_FILES=button.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for utime32.exe
#
TARGET=utime32.exe
SOURCE_FILES=utime.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for icon32.exe
#
TARGET=icon32.exe
SOURCE_FILES=icon.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for prgrs32.exe
#
TARGET=prgrs32.exe
SOURCE_FILES=prgrs.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for text32.exe
#
TARGET=text32.exe
SOURCE_FILES=text.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for spin32.exe
#
TARGET=spin32.exe
SOURCE_FILES=spin.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for combo32.exe
#
TARGET=combo32.exe
SOURCE_FILES=combo.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for vlist32.exe
#
TARGET=vlist32.exe
SOURCE_FILES=vlist.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for hlist32.exe
#
TARGET=hlist32.exe
SOURCE_FILES=hlist.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for tbar32.exe
#
TARGET=tbar32.exe
SOURCE_FILES=tbar.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for sbar32.exe
#
TARGET=sbar32.exe
SOURCE_FILES=status.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for group32.exe
#
TARGET=group32.exe
SOURCE_FILES=group.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for ntbk32.exe
#
TARGET=ntbk32.exe
SOURCE_FILES=ntbk.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for scrl32.exe
#
TARGET=scrl32.exe
SOURCE_FILES=scroll.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for tree32.exe
#
TARGET=tree32.exe
SOURCE_FILES=tree.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for tritm32.exe
#
TARGET=tritm32.exe
SOURCE_FILES=tritm.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for disp32.exe
#
TARGET=disp32.exe
SOURCE_FILES=display.cpp
!include <zaf.mak>

#
# Build options for table32.exe
#
TARGET=table32.exe
SOURCE_FILES=table.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for sclwn32.exe
#
TARGET=sclwn32.exe
SOURCE_FILES=sclwin.cpp
!include <zaf.mak>

#
# Build options for gmgmt32.exe
#
TARGET=gmgmt32.exe
SOURCE_FILES=gmgmt.cpp
!include <zaf.mak>

#
# Build options for chart32.exe
#
TARGET=chart32.exe
SOURCE_FILES=chart.cpp maintest.cpp
ADD_LIBRARIES=zafd32p.lib cfzd32.lib
!include <zaf.mak>

#
# ----- WIN16 ---------------------------------------------------------------
#

TARGET_TYPE=exe
PLATFORM=win16
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=

#
# Build options for wprmpt16.exe
#
TARGET=wprmpt16.exe
SOURCE_FILES=prompt.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wstr16.exe
#
TARGET=wstr16.exe
SOURCE_FILES=string.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wint16.exe
#
TARGET=wint16.exe
SOURCE_FILES=integer.cpp maintest.cpp format.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wreal16.exe
#
TARGET=wreal16.exe
SOURCE_FILES=real.cpp maintest.cpp format.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wbnum16.exe
#
TARGET=wbnum16.exe
SOURCE_FILES=bnum.cpp maintest.cpp format.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wtime16.exe
#
TARGET=wtime16.exe
SOURCE_FILES=time.cpp maintest.cpp format.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wdate16.exe
#
TARGET=wdate16.exe
SOURCE_FILES=date.cpp maintest.cpp format.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wfstr16.exe
#
TARGET=wfstr16.exe
SOURCE_FILES=fstr.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wbtn16.exe
#
TARGET=wbtn16.exe
SOURCE_FILES=button.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wutime16.exe
#
TARGET=wutime16.exe
SOURCE_FILES=utime.cpp maintest.cpp format.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wicon16.exe
#
TARGET=wicon16.exe
SOURCE_FILES=icon.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wprgrs16.exe
#
TARGET=wprgrs16.exe
SOURCE_FILES=prgrs.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wtext16.exe
#
TARGET=wtext16.exe
SOURCE_FILES=text.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wspin16.exe
#
TARGET=wspin16.exe
SOURCE_FILES=spin.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wcombo16.exe
#
TARGET=wcombo16.exe
SOURCE_FILES=combo.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wvlist16.exe
#
TARGET=wvlist16.exe
SOURCE_FILES=vlist.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for whlist16.exe
#
TARGET=whlist16.exe
SOURCE_FILES=hlist.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wtbar16.exe
#
TARGET=wtbar16.exe
SOURCE_FILES=tbar.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wsbar16.exe
#
TARGET=wsbar16.exe
SOURCE_FILES=status.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wgroup16.exe
#
TARGET=wgroup16.exe
SOURCE_FILES=group.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wntbk16.exe
#
TARGET=wntbk16.exe
SOURCE_FILES=ntbk.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wscrl16.exe
#
TARGET=wscrl16.exe
SOURCE_FILES=scroll.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wtree16.exe
#
TARGET=wtree16.exe
SOURCE_FILES=tree.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wtritm16.exe
#
TARGET=wtritm16.exe
SOURCE_FILES=tritm.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wdisp16.exe
#
TARGET=wdisp16.exe
SOURCE_FILES=display.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wtable16.exe
#
TARGET=wtable16.exe
SOURCE_FILES=table.cpp maintest.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wsclwn16.exe
#
TARGET=wsclwn16.exe
SOURCE_FILES=sclwin.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wgmgmt16.exe
#
TARGET=wgmgmt16.exe
SOURCE_FILES=gmgmt.cpp
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# Build options for wchart16.exe
#
TARGET=wchart16.exe
SOURCE_FILES=chart.cpp maintest.cpp
ADD_LIBRARIES=zafw16p.lib cfzw16.lib
DEFINITION_FILE=wtest16.def
!include <zaf.mak>

#
# ----- WIN32 ---------------------------------------------------------------
#

TARGET_TYPE=exe
PLATFORM=win32
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=

#
# Build options for wprmpt32.exe
#
TARGET=wprmpt32.exe
SOURCE_FILES=prompt.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wstr32.exe
#
TARGET=wstr32.exe
SOURCE_FILES=string.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wint32.exe
#
TARGET=wint32.exe
SOURCE_FILES=integer.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wreal32.exe
#
TARGET=wreal32.exe
SOURCE_FILES=real.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wbnum32.exe
#
TARGET=wbnum32.exe
SOURCE_FILES=bnum.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wtime32.exe
#
TARGET=wtime32.exe
SOURCE_FILES=time.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wdate32.exe
#
TARGET=wdate32.exe
SOURCE_FILES=date.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wfstr32.exe
#
TARGET=wfstr32.exe
SOURCE_FILES=fstr.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wbtn32.exe
#
TARGET=wbtn32.exe
SOURCE_FILES=button.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wutime32.exe
#
TARGET=wutime32.exe
SOURCE_FILES=utime.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wicon32.exe
#
TARGET=wicon32.exe
SOURCE_FILES=icon.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wprgrs32.exe
#
TARGET=wprgrs32.exe
SOURCE_FILES=prgrs.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wtext32.exe
#
TARGET=wtext32.exe
SOURCE_FILES=text.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wspin32.exe
#
TARGET=wspin32.exe
SOURCE_FILES=spin.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wcombo32.exe
#
TARGET=wcombo32.exe
SOURCE_FILES=combo.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wvlist32.exe
#
TARGET=wvlist32.exe
SOURCE_FILES=vlist.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for whlist32.exe
#
TARGET=whlist32.exe
SOURCE_FILES=hlist.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wtbar32.exe
#
TARGET=wtbar32.exe
SOURCE_FILES=tbar.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wsbar32.exe
#
TARGET=wsbar32.exe
SOURCE_FILES=status.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wgroup32.exe
#
TARGET=wgroup32.exe
SOURCE_FILES=group.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wntbk32.exe
#
TARGET=wntbk32.exe
SOURCE_FILES=ntbk.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wscrl32.exe
#
TARGET=wscrl32.exe
SOURCE_FILES=scroll.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wtree32.exe
#
TARGET=wtree32.exe
SOURCE_FILES=tree.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wtritm32.exe
#
TARGET=wtritm32.exe
SOURCE_FILES=tritm.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wdisp32.exe
#
TARGET=wdisp32.exe
SOURCE_FILES=display.cpp
!include <zaf.mak>

#
# Build options for wtable32.exe
#
TARGET=wtable32.exe
SOURCE_FILES=table.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wsclwn32.exe
#
TARGET=wsclwn32.exe
SOURCE_FILES=sclwin.cpp
!include <zaf.mak>

#
# Build options for wgmgmt32.exe
#
TARGET=wgmgmt32.exe
SOURCE_FILES=gmgmt.cpp
!include <zaf.mak>

#
# Build options for wchart32.exe
#
TARGET=wchart32.exe
SOURCE_FILES=chart.cpp maintest.cpp
ADD_LIBRARIES=zafw32p.lib cfzw32.lib
!include <zaf.mak>

#
# ----- WIN32DLL ------------------------------------------------------------
#

TARGET_TYPE=exedll
PLATFORM=win32
ADD_LIBRARIES=
DEFINITION_FILE=

#
# Build options for wprmpt.exe
#
TARGET=wprmpt.exe
SOURCE_FILES=prompt.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wstr.exe
#
TARGET=wstr.exe
SOURCE_FILES=string.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wint.exe
#
TARGET=wint.exe
SOURCE_FILES=integer.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wreal.exe
#
TARGET=wreal.exe
SOURCE_FILES=real.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wbnum.exe
#
TARGET=wbnum.exe
SOURCE_FILES=bnum.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wtime.exe
#
TARGET=wtime.exe
SOURCE_FILES=time.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wdate.exe
#
TARGET=wdate.exe
SOURCE_FILES=date.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wfstr.exe
#
TARGET=wfstr.exe
SOURCE_FILES=fstr.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wbtn.exe
#
TARGET=wbtn.exe
SOURCE_FILES=button.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wutime.exe
#
TARGET=wutime.exe
SOURCE_FILES=utime.cpp maintest.cpp format.cpp
!include <zaf.mak>

#
# Build options for wicon.exe
#
TARGET=wicon.exe
SOURCE_FILES=icon.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wprgrs.exe
#
TARGET=wprgrs.exe
SOURCE_FILES=prgrs.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wtext.exe
#
TARGET=wtext.exe
SOURCE_FILES=text.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wspin.exe
#
TARGET=wspin.exe
SOURCE_FILES=spin.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wcombo.exe
#
TARGET=wcombo.exe
SOURCE_FILES=combo.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wvlist.exe
#
TARGET=wvlist.exe
SOURCE_FILES=vlist.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for whlist.exe
#
TARGET=whlist.exe
SOURCE_FILES=hlist.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wtbar.exe
#
TARGET=wtbar.exe
SOURCE_FILES=tbar.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wsbar.exe
#
TARGET=wsbar.exe
SOURCE_FILES=status.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wgroup.exe
#
TARGET=wgroup.exe
SOURCE_FILES=group.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wntbk.exe
#
TARGET=wntbk.exe
SOURCE_FILES=ntbk.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wscrl.exe
#
TARGET=wscrl.exe
SOURCE_FILES=scroll.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wtree.exe
#
TARGET=wtree.exe
SOURCE_FILES=tree.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wtritm.exe
#
TARGET=wtritm.exe
SOURCE_FILES=tritm.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wdisp.exe
#
TARGET=wdisp.exe
SOURCE_FILES=display.cpp
!include <zaf.mak>

#
# Build options for wtable.exe
#
TARGET=wtable.exe
SOURCE_FILES=table.cpp maintest.cpp
!include <zaf.mak>

#
# Build options for wsclwn.exe
#
TARGET=wsclwn.exe
SOURCE_FILES=sclwin.cpp
!include <zaf.mak>

#
# Build options for wgmgmt.exe
#
TARGET=wgmgmt.exe
SOURCE_FILES=gmgmt.cpp
!include <zaf.mak>

#
# Build options for wchart.exe
#
TARGET=wchart.exe
SOURCE_FILES=chart.cpp maintest.cpp
ADD_LIBRARIES=cfzw32i.lib
!include <zaf.mak>

#
# ----- VxWorks ------------------------------------------------------------
#

TARGET_TYPE=exe
PLATFORM=vxworks
ADD_LIBRARIES=
DEFINITION_FILE=
ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vattrtst

#
# Build options for vprmpt.o
#
TARGET=vprmpt.o
SOURCE_FILES=prompt.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vstr.o
#
TARGET=vstr.o
SOURCE_FILES=string.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vint.o
#
TARGET=vint.o
SOURCE_FILES=integer.cpp maintest.cpp format.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vreal.o
#
TARGET=vreal.o
SOURCE_FILES=real.cpp maintest.cpp format.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vbnum.o
#
TARGET=vbnum.o
SOURCE_FILES=bnum.cpp maintest.cpp format.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vtime.o
#
TARGET=vtime.o
SOURCE_FILES=time.cpp maintest.cpp format.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vdate.o
#
TARGET=vdate.o
SOURCE_FILES=date.cpp maintest.cpp format.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vfstr.o
#
TARGET=vfstr.o
SOURCE_FILES=fstr.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vbtn.o
#
TARGET=vbtn.o
SOURCE_FILES=button.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vutime.o
#
TARGET=vutime.o
SOURCE_FILES=utime.cpp maintest.cpp format.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vicon.o
#
TARGET=vicon.o
SOURCE_FILES=icon.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vprgrs.o
#
TARGET=vprgrs.o
SOURCE_FILES=prgrs.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vtext.o
#
TARGET=vtext.o
SOURCE_FILES=text.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vspin.o
#
TARGET=vspin.o
SOURCE_FILES=spin.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vcombo.o
#
TARGET=vcombo.o
SOURCE_FILES=combo.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vvlist.o
#
TARGET=vvlist.o
SOURCE_FILES=vlist.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vhlist.o
#
TARGET=vhlist.o
SOURCE_FILES=hlist.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vtbar.o
#
TARGET=vtbar.o
SOURCE_FILES=tbar.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vsbar.o
#
TARGET=vsbar.o
SOURCE_FILES=status.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vgroup.o
#
TARGET=vgroup.o
SOURCE_FILES=group.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vntbk.o
#
TARGET=vntbk.o
SOURCE_FILES=ntbk.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vscrl.o
#
TARGET=vscrl.o
SOURCE_FILES=scroll.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vtree.o
#
TARGET=vtree.o
SOURCE_FILES=tree.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vtritm.o
#
TARGET=vtritm.o
SOURCE_FILES=tritm.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vdisp.o
#
TARGET=vdisp.o
SOURCE_FILES=display.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vtable.o
#
TARGET=vtable.o
SOURCE_FILES=table.cpp maintest.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vsclwn.o
#
TARGET=vsclwn.o
SOURCE_FILES=sclwin.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vgmgmt.o
#
TARGET=vgmgmt.o
SOURCE_FILES=gmgmt.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vchart.o
#
TARGET=vchart.o
SOURCE_FILES=chart.cpp maintest.cpp v_app.cpp
ADD_LIBRARIES=$(ZAF_ROOT)\lib\$(ZINC_COMPILER)\cfzvxw.a
!include <zaf.mak>
